> ## Documentation Index
> Fetch the complete documentation index at: https://notification-docs.platform.ai71services.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a organization

> Update a organization properties like name, etc



## OpenAPI

````yaml specs/notification_api_docs.json put /api/v1/onboarding/product/{product_id}/organization/{organization_id}
openapi: 3.0.1
info:
  title: Notifications API
  description: Notification service for sending email, sms and push notifications
  contact: {}
  version: '1.0'
servers:
  - url: https://notification.platform.dev.ai71services.ai/
security: []
paths:
  /api/v1/onboarding/product/{product_id}/organization/{organization_id}:
    put:
      tags:
        - Onboarding API's
      summary: Update a organization
      description: Update a organization properties like name, etc
      parameters:
        - name: x-api-key
          in: header
          description: API key for authorization
          required: true
          schema:
            type: string
      requestBody:
        description: Update Organization Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/entity.UpdateRequest'
        required: true
      responses:
        '200':
          description: Updated Successfully
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/entity.ResponseError'
        '401':
          description: 'Unauthorized: Invalid credentials'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/entity.ResponseError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/entity.ResponseError'
components:
  schemas:
    entity.UpdateRequest:
      required:
        - name
      type: object
      properties:
        name:
          type: string
    entity.ResponseError:
      type: object
      properties:
        error:
          type: string

````